#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.10
%define		qtver		5.15.2
%define		kpname		qqc2-breeze-style

Summary:	QQC2StyleBridge
Name:		kp5-%{kpname}
Version:	5.27.10
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	8e46e5afde739a6361b1838f71eb182d
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Quick-controls2-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This is a pure Qt Quick/Kirigami Qt Quick Controls style. Unlike
QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
QStyle. It looks like the KDE Visual Design Group's vision for Breeze.

It behaves similar to how the Qt Basic, Fusion and Material QQC2
styles behave, but with various extra features to improve the user
experience.

The performance, loading times and RAM usage should be generally
competitive with the Qt Fusion and Material QQC2 styles.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/cmake/KF5QQC2BreezeStyle
%{_libdir}/cmake/KF5QQC2BreezeStyle/KF5QQC2BreezeStyleConfig.cmake
%{_libdir}/cmake/KF5QQC2BreezeStyle/KF5QQC2BreezeStyleConfigVersion.cmake
%{_libdir}/qt5/plugins/kf5/kirigami/org.kde.breeze.so
%dir %{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/AbstractButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ApplicationWindow.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/BusyIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Button.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ButtonGroup.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/CheckBox.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/CheckDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ComboBox.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Container.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Control.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/DelayButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Dial.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Dialog.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/DialogButtonBox.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Drawer.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Frame.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/GroupBox.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/HorizontalHeaderView.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ItemDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Label.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Menu.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/MenuBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/MenuBarItem.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/MenuItem.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/MenuSeparator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/MobileTextActionsToolBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Page.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/PageIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Pane.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Popup.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ProgressBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/RadioButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/RadioDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/RangeSlider.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/RoundButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ScrollBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ScrollIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ScrollView.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Slider.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/SpinBox.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/SplitView.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/StackView.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/SwipeDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/SwipeView.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Switch.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/SwitchDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/TabBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/TabButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/TextArea.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/TextField.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ToolBar.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ToolButton.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ToolSeparator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/ToolTip.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/Tumbler.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/VerticalHeaderView.qml
%dir %{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/ButtonBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/CheckIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/ComboBoxBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/CursorDelegate.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/CursorHandle.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/DelegateBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/FocusRect.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/IconLabelContent.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/IconLabelShortcutContent.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/InlineIconLabelContent.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/LargeShadow.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/ListViewHighlight.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/MediumShadow.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/MenuItemBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/OverlayDimBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/OverlayModalBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/RadioIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/ScrollHandle.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/SliderGroove.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/SliderHandle.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/SpinBoxIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/SwitchIndicator.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/TextEditBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/qmldir
%dir %{_libdir}/qt5/qml/org/kde/breeze
%dir %{_libdir}/qt5/qml/org/kde/breeze/impl
%{_libdir}/qt5/qml/org/kde/breeze/impl/ButtonBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/CheckIndicator.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/ComboBoxBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/CursorDelegate.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/CursorHandle.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/DelegateBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/FocusRect.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/IconLabelContent.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/IconLabelShortcutContent.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/InlineIconLabelContent.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/LargeShadow.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/ListViewHighlight.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/MediumShadow.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/MenuItemBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/OverlayDimBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/OverlayModalBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/RadioIndicator.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/ScrollHandle.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/SliderGroove.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/SliderHandle.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/SpinBoxIndicator.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/SwitchIndicator.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/TextEditBackground.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/qmldir
%{_libdir}/qt5/qml/org/kde/breeze/libqqc2breezestyleplugin.so
%{_libdir}/qt5/qml/org/kde/breeze/qmldir
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/AbstractApplicationHeader.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/AbstractListItem.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/Separator.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/SwipeListItem.qml
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/ButtonBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/CheckIndicator.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/ComboBoxBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/CursorDelegate.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/CursorHandle.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/DelegateBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/FocusRect.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/IconLabelContent.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/IconLabelShortcutContent.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/InlineIconLabelContent.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/LargeShadow.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/ListViewHighlight.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/MediumShadow.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/MenuItemBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/OverlayDimBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/OverlayModalBackground.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/RadioIndicator.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/ScrollHandle.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/SliderGroove.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/SliderHandle.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/SpinBoxIndicator.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/SwitchIndicator.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/TextEditBackground.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/Units.qml
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/qmldir
%{_libdir}/qt5/qml/org/kde/breeze/impl/Units.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/Units.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/qmldir
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.breeze/impl/SmallBoxShadow.qml
%{_libdir}/qt5/qml/org/kde/breeze/impl/SmallBoxShadow.qml
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.breeze/impl/SmallBoxShadow.qml
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-qqc2-breeze-style.git;a=log;h=master

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9bed627
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b47f239
- updated to 5.27.9

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e813831
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c6487bf
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8b14075
- updated to 5.27.6

* Sat May 13 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 73ee046
- more dirs to package

* Sat May 13 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 171fa54
- packaging missing dirs

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 64a1910
- updated to 5.27.5

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 39ba941
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> eeda733
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1c5360c
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7077fb7
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> af6472b
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 00dee3a
- updated to 5.26.5

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 12dcadc
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 85fde40
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 408f478
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a7ab95f
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6c3e274
- updated to 5.26.0

* Wed Sep 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 58933dd
- updated to 5.25.5

